#ifndef PW_WINDOW_HPP
#define PW_WINDOW_HPP

//#include "glad/glad.h"
#include "GLFW/glfw3.h"

#include "sol.hpp"

namespace pw {

class window;

class context {
    GLFWwindow* _window;
public:
    context(window& other);
    ~context();
};


class window {

    GLFWwindow* _window;

public:

    window();
    ~window();

    bool update();

    void set_title(const char* t);
    void set_size(int w, int h);

    context* get_context();

    static void load(sol::table &ns);

};

}

#endif
